Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS00OTk5LTY1OXctbXEzNs0XMg

Authentication bypass issue in the Operator Console

During an internal security audit, we detected an authentication bypass issue in the Operator Console when an external IDP is enabled. The security issue has been reported internally. We have not observed this exploit in the wild or reported elsewhere in the community at large. All users are advised to upgrade ASAP.

Impact

All users on release v0.12.2 and before are affected.

Patches

This issue was fixed by PR https://github.com/minio/console/pull/1217, users should upgrade to latest release.

Workarounds

Add automountServiceAccountToken: false to the operator-console deployment in Kubernetes so no service account token will get mounted inside the pod, then disable the external identity provider authentication by unset the CONSOLE_IDP_URL, CONSOLE_IDP_CLIENT_ID, CONSOLE_IDP_SECRET and CONSOLE_IDP_CALLBACK environment variable and instead use the Kubernetes service account token.

References

#1217 for more information on the fix and how it was fixed.

For more information

If you have any questions or comments about this advisory:

Permalink: https://github.com/advisories/GHSA-4999-659w-mq36
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS00OTk5LTY1OXctbXEzNs0XMg
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: over 2 years ago
Updated: about 1 year ago


CVSS Score: 8.6
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:L/A:L

Identifiers: GHSA-4999-659w-mq36, CVE-2021-41266
References:

Affected Packages

go:github.com/minio/console
Versions: < 0.12.3
Fixed in: 0.12.3